Overview
GET/persona-memory/links/{srcId}/{dstId}/{relation}persona_memory

Get links by id

Fetch a record from links by srcId, dstId, relation.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • srcIdpathstring
  • dstIdpathstring
  • relationpathstring
Responses
200

links

  • ecosystemIdstring
  • srcIdstring
  • dstIdstring
  • relationstring
  • createdAtstring
Example
{
  "ecosystemId": "string",
  "srcId": "string",
  "dstId": "string",
  "relation": "string",
  "createdAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona-memory/links/{srcId}/{dstId}/{relation}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/links/{srcId}/{dstId}/{relation}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();